/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package javax.swing.plaf.synth;

import java.awt.Graphics;

/**
 * SynthPainter class provides the methods for painting all the JComponents. All
 * the paint methods are internally blank.
 */
@SuppressWarnings("unused")
public abstract class SynthPainter {

    public void paintArrowButtonBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintArrowButtonBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintArrowButtonForeground(SynthContext context, Graphics g,
            int x, int y, int w, int h, int direction) {
        // Blank
    }

    public void paintButtonBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintButtonBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintCheckBoxBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintCheckBoxBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintCheckBoxMenuItemBackground(SynthContext context,
            Graphics g, int x, int y, int w, int h) {
        // Blank
    }

    public void paintCheckBoxMenuItemBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintColorChooserBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintColorChooserBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintComboBoxBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintComboBoxBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintDesktopIconBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintDesktopIconBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintDesktopPaneBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintDesktopPaneBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintEditorPaneBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintEditorPaneBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintFileChooserBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintFileChooserBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintFormattedTextFieldBackground(SynthContext context,
            Graphics g, int x, int y, int w, int h) {
        // Blank
    }

    public void paintFormattedTextFieldBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintInternalFrameBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintInternalFrameBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintInternalFrameTitlePaneBackground(SynthContext context,
            Graphics g, int x, int y, int w, int h) {
        // Blank
    }

    public void paintInternalFrameTitlePaneBorder(SynthContext context,
            Graphics g, int x, int y, int w, int h) {
        // Blank
    }

    public void paintLabelBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintLabelBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintListBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintListBorder(SynthContext context, Graphics g, int x, int y,
            int w, int h) {
        // Blank
    }

    public void paintMenuBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintMenuBarBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintMenuBarBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintMenuBorder(SynthContext context, Graphics g, int x, int y,
            int w, int h) {
        // Blank
    }

    public void paintMenuItemBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintMenuItemBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintOptionPaneBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintOptionPaneBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintPanelBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintPanelBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintPasswordFieldBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintPasswordFieldBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintPopupMenuBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintPopupMenuBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintProgressBarBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintProgressBarBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintProgressBarForeground(SynthContext context, Graphics g,
            int x, int y, int w, int h, int orientation) {
        // Blank
    }

    public void paintRadioButtonBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintRadioButtonBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintRadioButtonMenuItemBackground(SynthContext context,
            Graphics g, int x, int y, int w, int h) {
        // Blank
    }

    public void paintRadioButtonMenuItemBorder(SynthContext context,
            Graphics g, int x, int y, int w, int h) {
        // Blank
    }

    public void paintRootPaneBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintRootPaneBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintScrollBarBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintScrollBarBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintScrollBarThumbBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h, int orientation) {
        // Blank
    }

    public void paintScrollBarThumbBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h, int orientation) {
        // Blank
    }

    public void paintScrollBarTrackBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintScrollBarTrackBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintScrollPaneBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintScrollPaneBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintSeparatorBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintSeparatorBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintSeparatorForeground(SynthContext context, Graphics g,
            int x, int y, int w, int h, int orientation) {
        // Blank
    }

    public void paintSliderBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintSliderBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintSliderThumbBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h, int orientation) {
        // Blank
    }

    public void paintSliderThumbBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h, int orientation) {
        // Blank
    }

    public void paintSliderTrackBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintSliderTrackBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintSpinnerBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintSpinnerBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintSplitPaneBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintSplitPaneBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintSplitPaneDividerBackground(SynthContext context,
            Graphics g, int x, int y, int w, int h) {
        // Blank
    }

    public void paintSplitPaneDividerForeground(SynthContext context,
            Graphics g, int x, int y, int w, int h, int orientation) {
        // Blank
    }

    public void paintSplitPaneDragDivider(SynthContext context, Graphics g,
            int x, int y, int w, int h, int orientation) {
        // Blank
    }

    public void paintTabbedPaneBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintTabbedPaneBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintTabbedPaneContentBackground(SynthContext context,
            Graphics g, int x, int y, int w, int h) {
        // Blank
    }

    public void paintTabbedPaneContentBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintTabbedPaneTabAreaBackground(SynthContext context,
            Graphics g, int x, int y, int w, int h) {
        // Blank
    }

    public void paintTabbedPaneTabAreaBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintTabbedPaneTabBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h, int tabIndex) {
        // Blank
    }

    public void paintTabbedPaneTabBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h, int tabIndex) {
        // Blank
    }

    public void paintTableBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintTableBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintTableHeaderBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintTableHeaderBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintTextAreaBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintTextAreaBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintTextFieldBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintTextFieldBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintTextPaneBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintTextPaneBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintToggleButtonBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintToggleButtonBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintToolBarBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintToolBarBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintToolBarContentBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintToolBarContentBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintToolBarDragWindowBackground(SynthContext context,
            Graphics g, int x, int y, int w, int h) {
        // Blank
    }

    public void paintToolBarDragWindowBorder(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintToolTipBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintToolTipBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintTreeBackground(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintTreeBorder(SynthContext context, Graphics g, int x, int y,
            int w, int h) {
        // Blank
    }

    public void paintTreeCellBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintTreeCellBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintTreeCellFocus(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }

    public void paintViewportBackground(SynthContext context, Graphics g,
            int x, int y, int w, int h) {
        // Blank
    }

    public void paintViewportBorder(SynthContext context, Graphics g, int x,
            int y, int w, int h) {
        // Blank
    }
}
